Name:     jgroups212
Version:  2.12.3
Release:  %mkrel 4
Summary:  A toolkit for reliable multicast communication

Group:    Development/Java
License:  LGPLv2
URL:      http://www.jgroups.org
# git clone git://github.com/belaban/JGroups.git
# cd JGroups && git checkout Branch_JGroups_2_12 && git checkout-index -f -a --prefix=jgroups212-2.12.3.Final
# find jgroups212-2.12.3.Final/ -name '*.jar' -type f -delete
# tar -cJf jgroups212-2.12.3.Final.tar.xz jgroups212-2.12.3.Final
Source0:  %{name}-%{version}.Final.tar.xz
Patch0:   %{name}-groupid.patch
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: bsh
BuildRequires: log4j

Requires:      jpackage-utils
Requires:      java
Requires:      bsh
Requires:      log4j

%description
A toolkit for reliable multicast communication.
It allows developers to create reliable multipoint (multicast) applications
where reliability is a deployment issue, and does not have to be implemented
by the application developer. This saves application developers significant
amounts of time, and allows for the application to be deployed in different
environments, without having to change code.

%package javadoc
Summary:    Javadoc for %{name}
Group:      Development/Java
Requires:   jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}.Final
find . -name \*.jar -exec rm -f {} \;

%patch0 -p1

%build
# Tests to not current run under maven for this project
mvn-rpmbuild -Dmaven.test.skip=true install \
    -Dproject.build.sourceEncoding=UTF-8 \
    javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/jgroups-%{version}.Final.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 644 pom.xml \
    $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# Fix incorrect permissions on documentation
chmod 644 README

%files
%doc LICENSE README INSTALL.html
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}



%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 2.12.3-4.mga4
+ Revision: 559934
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.12.3-2.mga3
+ Revision: 355441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.12.3-1.mga3
+ Revision: 291817
- imported package jgroups212


* Thu Aug 23 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-3
- Changed groupid to org.jgroup212 to fix conflict with jgroup 3
- Now building with UTF-8 source encoding

* Sun Aug 05 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-2
- Included license in javadoc subpackage
- Corrected license type
- Added missing Requires and BR
- Removed unnecessary define

* Fri Jul 27 2012 Matt Spaulding <mspaulding06@gmail.com> - 2.12.3-1
- Initial package

